Package: org.codehaus.groovy.grails.plugins.converters.api

## [Groovy] Class ConvertersControllersApi

- org.codehaus.groovy.grails.plugins.converters.api.ConvertersControllersApi

- Additional API extensions provided to controllers via the converters plugin.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `jsonHeader(java.lang.Object controller, java.lang.Object value)` Used to render out X-JSON header
    `void` | `render(java.lang.Object controller, Converter converter)` Method used to render out converted responses.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### void jsonHeader(java.lang.Object controller, java.lang.Object value)

      Used to render out X-JSON header

      Parameters:
        `controller` - The controller
        `value` - the value

    - #### void render(java.lang.Object controller, Converter converter)

      Method used to render out converted responses. Used for render foo as XML

      Parameters:
        `controller` - The controller
        `converter` - The converter instance